Bug 832633 - Realtek AC'97 not working
Realtek AC'97 not working
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
alsa
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 01:43 EDT by Andrew
Modified: 2013-03-01 23:02 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-01 23:02:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info log (18.77 KB, text/plain)
2012-06-16 01:45 EDT, Andrew
no flags Details

  None (edit)
Description Andrew 2012-06-16 01:43:51 EDT
Description of problem:

Both after installation and updates, Realtek AC'97 sound card does not work. No sound is produced even after installing official drivers / firmware from Realtek's website. 

Version-Release number of selected component (if applicable):

Fedora 17 (i686)
kernel 3.4.0-1.fc17.i686
kernel 3.3.4-5.fc17.i686
alsa-firmware-1.0.25-1.fc17
alsa-lib-1.0.25-3.fc17
alsa-plugins-pulseaudio-1.0.25-3.fc17 (32-bit)

How reproducible: Always


Steps to Reproduce:

1. Install Fedora
2. Boot system and login
3. No sound. No speaker icon present in panel either
  
Actual results:

No sound. No speaker icon present in panel either

Expected results:

Sound should come from speakers / headset. Speaker icon should be present in panel

Additional info:

Enclosed alsa-info log
Comment 1 Andrew 2012-06-16 01:45:18 EDT
Created attachment 592276 [details]
alsa-info log
Comment 2 Josh Boyer 2012-07-10 10:46:21 EDT
Your alsa info shows a number of things in the off state.  Have you tried using amixer to adjust volume on them?

Also, are both 3.4.0-1 and 3.3.4-5 showing this behavior?
Comment 3 Andrew 2012-07-11 14:43:08 EDT
Yes, this was present in both kernels. I can't explain why but the problem only occurs if the only environment installed is the LXDE environment. Gnome, XFCE and KDE have sound working right out of the box.

This is remedied in LXDE, when no other environments are installed, if and only if I install the following additional packages which are not provided by default if I install the LXDE package group only, unchecking the Gnome package group, while leaving all other defaults enabled via "Customize Now" with the Fedora installation DVD - pnmixer, paprefs, pavucontrol, pavumeter.

I don't think it's an actual alsa issue as amixer has no effect on my sound card no matter what its set to. Only PulseAudio controls have an effect which is probably why the problem remedied itself when I installed the above mentioned pulse packages.
Comment 4 Andrew 2012-07-11 14:45:15 EDT
Once those packages are installed, no setting changes are needed to enable audio.
Comment 5 Josh Boyer 2012-07-11 14:52:29 EDT
This isn't a kernel problem then.  Reassigning to LXDE.
Comment 6 Dan Mashal 2012-10-22 23:00:58 EDT
yum remove alsa-plugins-pulseaudio fixes the problem. Not an LXDE problem.
Comment 7 Christoph Wickert 2012-10-23 02:39:04 EDT
That would indicate a problem with pulseaudio.

Andrew, can you still reproduce the problem with a fully updated F17? Is pulseaudio running when you log in to LXDE?
Comment 8 Dan Mashal 2012-10-30 01:24:10 EDT
This is happening on a fully updated F18 too. Assigning to pulseaudio.

I was able to reproduce this on MATE + AMD Radeon HDMI output. Could not get sound even after removing alsa-plugins-pulseaudio.
Comment 9 Christoph Wickert 2012-10-30 05:19:53 EDT
So is pulseaudio running for your user? Are you sure the sound doesn't end up on the digital output?
Comment 10 Dan Mashal 2013-03-01 23:02:56 EST
PulseAudio works fine for me now. I would recommend anyone having issues to install the package "pavucontrol" and looking at their mixer settings and pulse audio settings.

Note You need to log in before you can comment on or make changes to this bug.